OpenShot Audio Library | OpenShotAudio: juce::dsp::StateVariableFilter::Parameters< NumericType > Struct Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
juce::dsp::StateVariableFilter::Parameters< NumericType > Struct Template Reference

`#include <juce_StateVariableFilter.h>`

Inheritance diagram for juce::dsp::StateVariableFilter::Parameters< NumericType >:

## Public Types
using | Type = StateVariableFilterType
using | Ptr = ReferenceCountedObjectPtr<Parameters>
Public Types inherited from juce::dsp::ProcessorState
using | Ptr = ReferenceCountedObjectPtr<ProcessorState>

## Public Member Functions
void | setCutOffFrequency (double sampleRate, NumericType frequency, NumericType resonance=static_cast< NumericType >(1.0/MathConstants< double >::sqrt2)) noexcept
| Parameters (const Parameters &o)
Parameters & | operator= (const Parameters &o) noexcept
Public Member Functions inherited from juce::ReferenceCountedObject
void | incReferenceCount () noexcept
void | decReferenceCount () noexcept
bool | decReferenceCountWithoutDeleting () noexcept
int | getReferenceCount () const noexcept

## Public Attributes
Type | type = Type::lowPass
NumericType | g = static_cast<NumericType> (std::tan (MathConstants<double>::pi * 200.0 / 44100.0))
NumericType | R2 = static_cast<NumericType> (MathConstants<double>::sqrt2)
NumericType | h = static_cast<NumericType> (1.0 / (1.0 + R2 * g + g * g))

## Additional Inherited Members
Protected Member Functions inherited from juce::ReferenceCountedObject
| ReferenceCountedObject ()=default
| ReferenceCountedObject (const ReferenceCountedObject &) noexcept
| ReferenceCountedObject (ReferenceCountedObject &&) noexcept
ReferenceCountedObject & | operator= (const ReferenceCountedObject &) noexcept
ReferenceCountedObject & | operator= (ReferenceCountedObject &&) noexcept
virtual | ~ReferenceCountedObject ()
void | resetReferenceCount () noexcept

## Detailed Description

template<typename NumericType>
struct juce::dsp::StateVariableFilter::Parameters< NumericType >

Structure used for the state variable filter parameters.

Definition at line 209 of file juce_StateVariableFilter.h.

## Member Typedef Documentation

## ◆ Ptr

template<typename NumericType >

using juce::dsp::StateVariableFilter::Parameters< NumericType >::Ptr = ReferenceCountedObjectPtr<Parameters>

The Coefficients structure is ref-counted, so this is a handy type that can be used as a pointer to one.

Definition at line 240 of file juce_StateVariableFilter.h.

## ◆ Type

template<typename NumericType >

using juce::dsp::StateVariableFilter::Parameters< NumericType >::Type = StateVariableFilterType

Definition at line 212 of file juce_StateVariableFilter.h.

## Constructor & Destructor Documentation

## ◆ Parameters()

template<typename NumericType >

juce::dsp::StateVariableFilter::Parameters< NumericType >::Parameters | ( | const Parameters< NumericType > & | o | ) |
| inline

Definition at line 244 of file juce_StateVariableFilter.h.

## Member Function Documentation

## ◆ operator=()

template<typename NumericType >

Parameters & juce::dsp::StateVariableFilter::Parameters< NumericType >::operator= | ( | const Parameters< NumericType > & | o | ) |
| inlinenoexcept

Definition at line 245 of file juce_StateVariableFilter.h.

## ◆ setCutOffFrequency()

template<typename NumericType >

void juce::dsp::StateVariableFilter::Parameters< NumericType >::setCutOffFrequency | ( | double | sampleRate,
|  | NumericType | frequency,
|  | NumericType | resonance = static_cast<NumericType> (1.0 / MathConstants<double>::sqrt2) )
| inlinenoexcept

Sets the cutoff frequency and resonance of the IIR filter.

Note: The bandwidth of the resonance increases with the value of the parameter. To have a standard 12 dB/octave filter, the value must be set at 1 / sqrt (2).

Definition at line 224 of file juce_StateVariableFilter.h.

## Member Data Documentation

## ◆ g

template<typename NumericType >

NumericType juce::dsp::StateVariableFilter::Parameters< NumericType >::g = static_cast<NumericType> (std::tan (MathConstants<double>::pi * 200.0 / 44100.0))

Definition at line 248 of file juce_StateVariableFilter.h.

## ◆ h

template<typename NumericType >

NumericType juce::dsp::StateVariableFilter::Parameters< NumericType >::h = static_cast<NumericType> (1.0 / (1.0 + R2 * g + g * g))

Definition at line 250 of file juce_StateVariableFilter.h.

## ◆ R2

template<typename NumericType >

NumericType juce::dsp::StateVariableFilter::Parameters< NumericType >::R2 = static_cast<NumericType> (MathConstants<double>::sqrt2)

Definition at line 249 of file juce_StateVariableFilter.h.

## ◆ type

template<typename NumericType >

Type juce::dsp::StateVariableFilter::Parameters< NumericType >::type = Type::lowPass

The type of the IIR filter

Definition at line 216 of file juce_StateVariableFilter.h.

The documentation for this struct was generated from the following file:

- juce_StateVariableFilter.h